Description

If we open a layout template, and we insert a view on it, the TOC with the layers doesn't appear. It's a refreshment problem because if
we close the layout and we open it again the TOC appears correctly.

Associated revisions
Revision 326 - 01/29/2015 04:56 PM - Cesar Martinez Izquierdo

Correctly load layout templates (fixes #2975: toc no showing when loading templates)

History
#1 - 01/28/2015 12:18 PM - Álvaro Anguix
- Status changed from New to Closed

En las últimas versiones (RC4) parece que se comporta bien. Lo cierro.

#2 - 01/28/2015 12:28 PM - Mario Carrera
- Target version set to 2.2.0-2311-rc2
- Status changed from Closed to New
- File plantilla4.gvsLayoutTemp added

It still happens at gvSIG 2.1 RC4. I attach the template. 
I load the template, then I insert a view on it, and the TOC doesn't appear, even making zooms on the view. 
If I close the layout and then open it from the project manager, the TOC appears already.

#3 - 01/29/2015 12:31 PM - Cesar Martinez Izquierdo
- Status changed from New to In progress

#4 - 01/29/2015 05:06 PM - Cesar Martinez Izquierdo
- Status changed from In progress to Fixed
The bug has been fixed, but note that the TOC will only appear if there is at least one FFrameView in the template. The provided tests case (template
plantilla4.gvsLayoutTemp) does NOT include any fframeview, so it will not load a TOC.

I attach another template (emptyFfv.gvslt) that includes an fframeview and should load correctly now.

Another remark: when saving a template we are actually saving a FFrameView and an underlying View. Therefore, when loading the template again
the underlying View will also be created but it will not be added to the project, so it will not be visible in as a View document. We should think if this is
the expected behaviour or it is an inconsistence (or bug).

#5 - 01/29/2015 05:10 PM - Cesar Martinez Izquierdo
- File emptyFfv.gvslt added

#6 - 02/20/2015 10:07 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)

#7 - 04/07/2015 01:26 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
plantilla4.gvsLayoutTemp 15.4 KB 01/28/2015 Mario Carrera
emptyFfv.gvslt 15.7 KB 01/29/2015 Cesar Martinez Izquierdo
